Update a target
curl --request PATCH \
--url https://api.glassmarkets.io/v2/organizations/targets/{id}/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"telegram_notifications": true,
"scaling_enabled": true,
"scaling_reference_price": 123
}
'import requests
url = "https://api.glassmarkets.io/v2/organizations/targets/{id}/"
payload = {
"active": True,
"telegram_notifications": True,
"scaling_enabled": True,
"scaling_reference_price": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
telegram_notifications: true,
scaling_enabled: true,
scaling_reference_price: 123
})
};
fetch('https://api.glassmarkets.io/v2/organizations/targets/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}Targets
Update a target
Updates one target. Members of an organization can manage its gb (global) targets on its assets. Only project owners of an asset, and staff, can manage mm (market-maker) targets on it. Returns 400 when you can’t change the target and 404 when it doesn’t exist.
Update a target
curl --request PATCH \
--url https://api.glassmarkets.io/v2/organizations/targets/{id}/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"telegram_notifications": true,
"scaling_enabled": true,
"scaling_reference_price": 123
}
'import requests
url = "https://api.glassmarkets.io/v2/organizations/targets/{id}/"
payload = {
"active": True,
"telegram_notifications": True,
"scaling_enabled": True,
"scaling_reference_price": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
telegram_notifications: true,
scaling_enabled: true,
scaling_reference_price: 123
})
};
fetch('https://api.glassmarkets.io/v2/organizations/targets/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}Authorizations
Token-based authentication with required prefix "Token ". Example: "Token 9944b09199c62bcf9418ad846dd0e4bbdfc6ee4b"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
200 - application/json

